/* [config]
 * expect_result: pass
 * glsl_version: 4.00
 * require_extensions: GL_ARB_gpu_shader_int64
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul) * u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul)) => u64vec4(np.uint64(27225)ul, np.uint64(17689)ul, np.uint64(37249)ul, np.uint64(5776)ul)
 * (u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul) * u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul)) => u64vec4(np.uint64(13200)ul, np.uint64(1995)ul, np.uint64(9843)ul, np.uint64(0)ul)
 * (u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul) * u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul)) => u64vec4(np.uint64(13200)ul, np.uint64(1995)ul, np.uint64(9843)ul, np.uint64(0)ul)
 * (u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul) * u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul)) => u64vec4(np.uint64(6400)ul, np.uint64(225)ul, np.uint64(2601)ul, np.uint64(0)ul)
 */
#version 400
#extension GL_ARB_gpu_shader_int64 : require

void main()
{
  float[all(equal((u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul) * u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul)), u64vec4(np.uint64(27225)ul, np.uint64(17689)ul, np.uint64(37249)ul, np.uint64(5776)ul))) ? 1 : -1] array0;
  float[all(equal((u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul) * u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul)), u64vec4(np.uint64(13200)ul, np.uint64(1995)ul, np.uint64(9843)ul, np.uint64(0)ul))) ? 1 : -1] array1;
  float[all(equal((u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul) * u64vec4(np.uint64(165)ul, np.uint64(133)ul, np.uint64(193)ul, np.uint64(76)ul)), u64vec4(np.uint64(13200)ul, np.uint64(1995)ul, np.uint64(9843)ul, np.uint64(0)ul))) ? 1 : -1] array2;
  float[all(equal((u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul) * u64vec4(np.uint64(80)ul, np.uint64(15)ul, np.uint64(51)ul, np.uint64(0)ul)), u64vec4(np.uint64(6400)ul, np.uint64(225)ul, np.uint64(2601)ul, np.uint64(0)ul))) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
