/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * radians(vec4(np.float32(-180.0), np.float32(-60.0), np.float32(60.0), np.float32(180.0))) => vec4(np.float32(-3.1415927), np.float32(-1.0471976), np.float32(1.0471976), np.float32(3.1415927))
 */
#version 120

void main()
{
  float[distance(radians(vec4(np.float32(-180.0), np.float32(-60.0), np.float32(60.0), np.float32(180.0))), vec4(np.float32(-3.1415927), np.float32(-1.0471976), np.float32(1.0471976), np.float32(3.1415927))) <= np.float32(4.6832098e-05) ? 1 : -1] array0;
  gl_FragColor = vec4(array0.length());
}
